
QGIS Application - Bug report #13365

QGIS CRS works only when the planets aligns 

2015-09-15 11:38 AM - baditaflorin -

Status: Rejected

Priority: Low

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21417

Description

I will never know if changing the CRS will work or not in QGIS, for over 2 years, each time that i got a project where i have to change the

CRS, i know that i will have a headache.

It either works, or it will never work. this are the only 2 versions that i found

I had made a video illustrating such a case http://youtu.be/4DGwXTQStNU

Please tell me what i don`t do right.

Maps and mostly electronic maps should be like 0 and 1

Logic things, if i do this that will happen.

With changing the projection of the map, in QGIS, this is a mystery.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/florinb/.qgis2/python/plugins\\openlayers_plugin\\weblayers\\weblayer.py", line 97, in addLayer

    self._addLayerCallback(self)

  File "C:/Users/florinb/.qgis2/python/plugins\\openlayers_plugin\\openlayers_plugin.py", line 135, in addLayer

    self.setMapCrs(coordRefSys)

  File "C:/Users/florinb/.qgis2/python/plugins\\openlayers_plugin\\openlayers_plugin.py", line 176, in setMapCrs

    extMap = coordTrans.transform(extMap, QgsCoordinateTransform.ForwardTransform)

QgsCsException: forward transform of

(48656.997124, 14271.977688)

PROJ.4:  +proj=longlat +datum=WGS84 +no_defs +ellps=WGS84 +towgs84=0,0,0 +to  +proj=merc +a=6378137 +b=6378137

+lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs

Error: latitude or longitude exceeded limits

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.11.0-Master Master, 16d7a06

Python path: ['C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\\\processing',

'C:/Users/florinb/.qgis2/python/plugins\\\\processing_prepair', 'C:/Users/florinb/.qgis2/python/plugins\\\\processinglwgeomprovider',

'C:/Users/florinb/.qgis2/python/plugins\\\\postgis_geoprocessing', 'C:/OSGEO4~1/apps/qgis-dev/./python',

u'C:/Users/florinb/.qgis2/python', u'C:/Users/florinb/.qgis2/python/plugins', 'C:/OSGEO4~1/apps/qgis-dev/./python/plugins',
'C:\\\\OSGEO4~1\\\\bin\\\\python27.zip', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGEO4~1\\\\bin',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', u'C:/Users/florinb/.qgis2//python',

'C:\\\\Users\\\\florinb\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms', '.',

'C:\\\\OSGEO4~1\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2015-09-15 11:06 PM - Saber Razmjooei

- Status changed from Open to Closed

The numbers in your coordinate status bar don't look like to be EPSG:4326.

You are assigning a wrong CRS to your layer.

#2 - 2015-09-16 06:46 AM - baditaflorin -

- Status changed from Closed to Reopened

I know, and i want to change the CRS of my layer to be 4326

From what i remember QGIS have this function , but i am not able to find it / use it ... ?

#3 - 2015-09-16 06:49 AM - baditaflorin -

From what i understand from you, the file is in different projection from the start. If that is the case, and QGIS does not recognize the initial projection, me,

as the user, i should be noticed about this. If not this leads to awkward situation when i do something, QGIS says that it did what i wanted, but nothing is

working , and this is not the expected behavior

#4 - 2015-09-16 02:43 PM - Saber Razmjooei

- Priority changed from Normal to Low

- Status changed from Reopened to Rejected

- File unkown_projection.jpg added

There is already an option in QGIS which prompts users to define the layers with unkown projections. You need to activate that as your default (Settings >

Options > CRS ...see attached).

For poejection on-the-fly transformation to work (and hence the openlayers plugin), it is essential to have all layers make their correct CRS known to QGIS.

If you still have problems with that, please refer to QGIS manual and user mailing list.
Files

unkown_projection.jpg 106 KB 2015-09-16 Saber Razmjooei
